#restaurantWrapper {
  padding-top: 15px;
  padding-right: 15px;
  padding-left: 15px;
  overflow: hidden;
  #changeRestaurantName {
    &:hover {
      cursor: pointer;
    }
  }
  #deleteRestaurantBtn {
    &:hover {
      cursor: pointer;
    }
  }
  .row {
    margin-bottom: 20px;
    h4 {
      font-size: 14pt;
      padding-left: 15px;
      padding-right: 15px;
    }
    .restaurantLogoWrapper {
      #restaurantLogoFormWrapper {
        label {
          font-size: 14pt;
          font-weight: 400;
          line-height: 1.2;
          text-align: right;
        }
      }
      .previewRestaurantLogo {
        label {
          display: block;
          text-align: right;
        }
        .imgWrapper {
          img {
            width: 100%;
            object-fit: contain;
          }
        }
      }
      #restaurantImagesFormWrapper {
        label {
          font-size: 14pt;
          font-weight: 400;
          line-height: 1.2;
          text-align: right;
        }
      }
      .previewRestaurantImages {
        label {
          display: block;
          text-align: right;
        }
        .imagesWrapper {
          white-space: nowrap;
          overflow-x: scroll;
          overflow-y: hidden;
          &::-webkit-scrollbar-track {
            -webkit-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
            -moz-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
            box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
            border-radius: 14px;
            background-color: #f5f5f5;
          }
          &::-webkit-scrollbar {
            height: 8px;
            background-color: #f5f5f5;
          }
          &::-webkit-scrollbar-thumb {
            border-radius: 10px;
            -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
            -moz-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
            box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
            background-color: $gray-color;
          }
          .imageWrapper {
            height: 110px;
            margin: 10px 5px;
            display: inline-block;
            transition: transform 0.2s;
            img {
              height: 100%;
              object-fit: cover;
            }
            &:hover {
              transform: scale(1.05);
              cursor: pointer;
            }
          }
        }
      }
    }
    .editMenuWrapper {
      .editMenuLabelWrapper {
        label {
          font-size: 14pt;
          font-weight: 400;
          line-height: 1.2;
          text-align: right;
        }
      }
      .card {
        @extend %servr-shadow;
        border-radius: 50px;
        padding: 35px 50px 20px;
        h4 {
          font-weight: 400;
        }
        .selectCategoryDish {
          font-weight: 500;
          font-size: 12pt;
        }
        .starterWrapper {
          border-bottom: 2px solid $light-gray-active-color;
          padding-bottom: 10px;
          button {
            @extend %servr-button;
            background-color: $light-gray-active-color;
          }
        }
        .menusTableWrapper {
          height: 50vh;
          overflow-y: auto;
          overflow-x: hidden;
          &::-webkit-scrollbar-track {
            -webkit-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
            -moz-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
            box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
            border-radius: 14px;
            background-color: #f5f5f5;
          }
          &::-webkit-scrollbar {
            width: 8px;
            background-color: #f5f5f5;
          }
          &::-webkit-scrollbar-thumb {
            border-radius: 10px;
            -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
            -moz-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
            box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
            background-color: $gray-color;
          }
          .menusTable {
            border-collapse: separate;
            border-spacing: 0 0.5em;
            margin-top: 15px;
            color: $gray-color;
            tr {
              &:hover {
                cursor: pointer;
              }
              td {
                border-top: none;
                background-color: $light-gray-active-color;
                border-radius: 50px;
              }
            }
          }
        }
      }
    }
    .pendingOrdersWrapper {
      margin-top: 20px;
      .ordersLabelWrapper {
        font-size: 14pt;
        font-weight: 400;
        line-height: 1.2;
        text-align: right;
      }
      .orderItemsWrapper {
        white-space: nowrap;
        overflow-x: auto;
        overflow-y: hidden;
        &::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          -moz-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          border-radius: 14px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar {
          height: 8px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          -moz-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          background-color: $gray-color;
        }
        .orderWrapper {
          @extend %servr-button;
          height: 140px;
          width: 180px;
          padding: 20px;
          border-radius: 45px;
          margin: 10px;
          display: inline-block;
          transition: transform 0.2s;
          overflow: hidden;
          vertical-align: top;
          position: relative;
          &:hover {
            cursor: pointer;
          }
          .roomTextWrapper {
            h4 {
              font-size: 13pt;
              font-weight: 400;
              text-align: center;
            }
          }
          .orderDishWrapper {
            font-size: 9pt;
            overflow: hidden;
            text-overflow: ellipsis;
            ul {
              padding-left: 14px;
              margin-bottom: 8px;
            }
          }
          .totalPriceWrapper {
            font-size: 10pt;
            text-align: center;
            position: absolute;
            bottom: 0;
            margin-bottom: 15px;
            display: block;
            width: 80%;
            p {
              margin-bottom: 0;
            }
          }
        }
      }
    }
    .currentOrdersWrapper {
      margin-top: 20px;
      .ordersLabelWrapper {
        font-size: 14pt;
        font-weight: 400;
        line-height: 1.2;
        text-align: right;
      }
      .orderItemsWrapper {
        white-space: nowrap;
        overflow-x: auto;
        overflow-y: hidden;
        &::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          -moz-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          border-radius: 14px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar {
          height: 8px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          -moz-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          background-color: $gray-color;
        }
        .orderWrapper {
          @extend %servr-button;
          height: 140px;
          width: 180px;
          padding: 20px;
          border-radius: 45px;
          margin: 10px;
          display: inline-block;
          transition: transform 0.2s;
          overflow: hidden;
          vertical-align: top;
          position: relative;
          &:hover {
            cursor: pointer;
          }
          .roomTextWrapper {
            h4 {
              font-size: 13pt;
              font-weight: 400;
              text-align: center;
            }
          }
          .orderDishWrapper {
            font-size: 9pt;
            overflow: hidden;
            text-overflow: ellipsis;
            ul {
              padding-left: 14px;
              margin-bottom: 8px;
            }
          }
          .totalPriceWrapper {
            font-size: 10pt;
            text-align: center;
            position: absolute;
            bottom: 0;
            margin-bottom: 15px;
            display: block;
            width: 80%;
            p {
              margin-bottom: 0;
            }
          }
        }
      }
    }
    .pastOrdersWrapper {
      margin-top: 20px;
      .ordersLabelWrapper {
        font-size: 14pt;
        font-weight: 400;
        line-height: 1.2;
        text-align: right;
      }
      .orderItemsWrapper {
        white-space: nowrap;
        overflow-x: auto;
        overflow-y: hidden;
        &::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          -moz-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          border-radius: 14px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar {
          height: 8px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          -moz-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          background-color: $gray-color;
        }
        .orderWrapper {
          @extend %servr-button;
          height: 140px;
          width: 180px;
          padding: 20px;
          border-radius: 45px;
          margin: 10px;
          display: inline-block;
          transition: transform 0.2s;
          overflow: hidden;
          vertical-align: top;
          position: relative;
          &:hover {
            cursor: pointer;
          }
          .roomTextWrapper {
            h4 {
              font-size: 13pt;
              font-weight: 400;
              text-align: center;
            }
          }
          .orderDishWrapper {
            font-size: 9pt;
            overflow: hidden;
            text-overflow: ellipsis;
            ul {
              padding-left: 14px;
              margin-bottom: 8px;
            }
          }
          .totalPriceWrapper {
            font-size: 10pt;
            text-align: center;
            position: absolute;
            bottom: 0;
            margin-bottom: 15px;
            display: block;
            width: 80%;
            p {
              margin-bottom: 0;
            }
          }
        }
      }
    }
    .reservationsPendingWrapper {
      margin-top: 40px;
      .reservationsLabelWrapper {
        font-size: 14pt;
        font-weight: 400;
        line-height: 1.2;
        text-align: right;
      }
      .reservationItemsWrapper {
        white-space: nowrap;
        overflow-x: auto;
        overflow-y: hidden;
        &::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          -moz-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          border-radius: 14px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar {
          height: 8px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          -moz-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          background-color: $gray-color;
        }
        .reservationWrapper {
          @extend %servr-button;
          height: 140px;
          width: 180px;
          padding: 20px;
          border-radius: 45px;
          margin: 10px;
          display: inline-block;
          transition: transform 0.2s;
          overflow: hidden;
          vertical-align: top;
          &:hover {
            cursor: pointer;
          }
          .roomTextWrapper {
            h4 {
              font-size: 13pt;
              font-weight: 400;
              text-align: center;
            }
          }
          .orderDishWrapper {
            text-align: center;
            font-size: 9pt;
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }
      }
    }
    .reservationsPastWrapper {
      margin-top: 20px;
      .reservationsLabelWrapper {
        font-size: 14pt;
        font-weight: 400;
        line-height: 1.2;
        text-align: right;
      }
      .reservationItemsWrapper {
        white-space: nowrap;
        overflow-x: auto;
        overflow-y: hidden;
        &::-webkit-scrollbar-track {
          -webkit-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          -moz-box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          box-shadow: inset 0 0 99px rgba(0, 0, 0, 0.2);
          border-radius: 14px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar {
          height: 8px;
          background-color: #f5f5f5;
        }
        &::-webkit-scrollbar-thumb {
          border-radius: 10px;
          -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          -moz-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
          background-color: $gray-color;
        }
        .reservationWrapper {
          @extend %servr-button;
          height: 140px;
          width: 180px;
          padding: 20px;
          border-radius: 45px;
          margin: 10px;
          display: inline-block;
          transition: transform 0.2s;
          overflow: hidden;
          vertical-align: top;
          &:hover {
            cursor: pointer;
          }
          .roomTextWrapper {
            h4 {
              font-size: 13pt;
              font-weight: 400;
              text-align: center;
            }
          }
          .orderDishWrapper {
            text-align: center;
            font-size: 9pt;
            overflow: hidden;
            text-overflow: ellipsis;
          }
        }
      }
    }
    .reservationsCalendarWrapper {
      .legendsWrapper {
        margin-bottom: 10px;
        .legendWrapper {
          .color {
            width: 20px;
            height: 20px;
            display: inline-block;
            &.grey {
              background-color: $gray-color;
            }
            &.blue {
              background-color: $blue-primary;
            }
          }
          .textWrapper {
            display: inline-block;
            position: absolute;
            p {
              margin-bottom: 0;
              padding-left: 8px;
            }
          }
        }
      }
    }
  }
}

.showDetailsOrderModal {
  #declineRestaurantOrderRoomBtn {
    margin-top: 0.5rem;
  }
}

.signature img {
  width: 250px;
  margin-top: 0px !important;
}
